Page MenuHomePhabricator

Configure new maps servers in eqiad
Closed, ResolvedPublic

Description

New maps servers have been racked and set up (T135018) and are ready to be used.

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 17 2016, 4:38 PM

Change 294914 had a related patch set uploaded (by Gehel):
Configuration for new maps cluster in eqiad

https://gerrit.wikimedia.org/r/294914

Change 294914 merged by Gehel:
Configuration for new maps cluster in eqiad

https://gerrit.wikimedia.org/r/294914

Change 295227 had a related patch set uploaded (by Gehel):
Manage Postgresql data dir with Puppet

https://gerrit.wikimedia.org/r/295227

Change 295227 merged by Gehel:
Manage Postgresql data dir with Puppet

https://gerrit.wikimedia.org/r/295227

Gehel claimed this task.Jun 21 2016, 1:41 PM
Gehel moved this task from Needs triage to Ops on the Discovery board.
Gehel added a project: Maps-Sprint.
Gehel moved this task from Backlog to In progress on the Maps-Sprint board.

Change 295343 had a related patch set uploaded (by Gehel):
Postgresql: init database with Puppet

https://gerrit.wikimedia.org/r/295343

Change 295343 merged by Gehel:
Postgresql: init database with Puppet

https://gerrit.wikimedia.org/r/295343

Change 295589 had a related patch set uploaded (by Gehel):
Postgresql: init database with Puppet

https://gerrit.wikimedia.org/r/295589

Change 295589 merged by Gehel:
Postgresql: init database with Puppet

https://gerrit.wikimedia.org/r/295589

Yurik moved this task from All map-related tasks to Maps-data on the Maps board.Jun 26 2016, 8:19 PM

Mentioned in SAL [2016-06-27T09:47:42Z] <gehel> removing maps-test*.codfw.wmnet servers from LVS (T138092)

Change 296551 had a related patch set uploaded (by Gehel):
Postgresql - allow multiple entries for the same user in pg_hba.conf

https://gerrit.wikimedia.org/r/296551

Change 297273 had a related patch set uploaded (by Gehel):
Correct hiera property name to create postgresql users

https://gerrit.wikimedia.org/r/297273

Change 297422 had a related patch set uploaded (by Gehel):
Ensure base cassandra directory is created.

https://gerrit.wikimedia.org/r/297422

Change 297273 merged by Gehel:
Correct hiera property name to create postgresql users

https://gerrit.wikimedia.org/r/297273

Change 297422 merged by Gehel:
Ensure base cassandra directory is created.

https://gerrit.wikimedia.org/r/297422

Change 296551 merged by Gehel:
Postgresql - allow multiple entries for the same user in pg_hba.conf

https://gerrit.wikimedia.org/r/296551

Change 298960 had a related patch set uploaded (by Gehel):
WIP - postgresql::user should be idempotent

https://gerrit.wikimedia.org/r/298960

Change 302893 had a related patch set uploaded (by Gehel):
Maps - missing option in initial import script

https://gerrit.wikimedia.org/r/302893

Change 302893 merged by Gehel:
Maps - missing option in initial import script

https://gerrit.wikimedia.org/r/302893

Change 302894 had a related patch set uploaded (by Gehel):
Maps - typo in initial import script

https://gerrit.wikimedia.org/r/302894

Change 302894 merged by Gehel:
Maps - typo in initial import script

https://gerrit.wikimedia.org/r/302894

Change 303816 had a related patch set uploaded (by Gehel):
maps - osm-initial-import fixes

https://gerrit.wikimedia.org/r/303816

Gehel triaged this task as High priority.Aug 10 2016, 1:19 PM

Change 304025 had a related patch set uploaded (by Gehel):
Maps - categorizing new eqiad slaves

https://gerrit.wikimedia.org/r/304025

Change 304019 had a related patch set uploaded (by Gehel):
Maps: Added list of cassandra servers

https://gerrit.wikimedia.org/r/304019

Change 303816 merged by Gehel:
maps - osm-initial-import fixes

https://gerrit.wikimedia.org/r/303816

Change 304019 merged by Gehel:
Maps: Added list of cassandra servers

https://gerrit.wikimedia.org/r/304019

Change 304025 merged by Gehel:
Maps - categorizing new eqiad slaves

https://gerrit.wikimedia.org/r/304025

Change 304324 had a related patch set uploaded (by Gehel):
Maps - categorize maps1002 in site.pp

https://gerrit.wikimedia.org/r/304324

I deployed the new services version, including the maps100[134].eqiad, but couldn't start it because i had no account for cassandra, so couldn't configure the keyspace.

Change 304324 merged by Gehel:
Maps - categorize maps1002 in site.pp

https://gerrit.wikimedia.org/r/304324

Gehel closed this task as Resolved.Oct 24 2016, 9:46 AM

Traffic is moved to eqiad maps cluster, which is a good proof that this task is completed.

Change 298960 abandoned by Gehel:
WIP - postgresql::user should be idempotent

Reason:
already fixed

https://gerrit.wikimedia.org/r/298960